RHEL 9.0.0 Alpha bootstrap

The content of this branch was automatically imported from Fedora ELN
with the following as its source:
https://src.fedoraproject.org/rpms/thai-scalable-fonts#85bbff11b9b2a9c2004f96cc93047e52ab04bc5f
This commit is contained in:
Troy Dawson 2020-10-15 12:43:27 -07:00
parent 12d5159a16
commit 10a253327c
31 changed files with 1302 additions and 0 deletions

9
.gitignore vendored
View File

@ -0,0 +1,9 @@
thaifonts-scalable-0.4.12.tar.gz
/thaifonts-scalable-0.4.14.tar.gz
/thaifonts-scalable-0.4.15.tar.gz
/thaifonts-scalable-0.4.16.tar.gz
/thaifonts-scalable-0.4.17.tar.gz
/fonts-tlwg-0.5.0.tar.gz
/fonts-tlwg-0.6.4.tar.xz
/fonts-tlwg-0.6.5.tar.xz
/fonts-tlwg-0.7.2.tar.xz

View File

@ -0,0 +1,24 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<match>
<test name="lang" compare="contains">
<string>th</string>
</test>
<test name="family">
<string>serif</string>
</test>
<edit name="family" mode="prepend">
<string>Norasi</string>
</edit>
</match>
<alias>
<family>Norasi</family>
<default>
<family>serif</family>
</default>
</alias>
</fontconfig>

View File

@ -0,0 +1,24 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<match>
<test name="lang" compare="contains">
<string>th</string>
</test>
<test name="family">
<string>sans-serif</string>
</test>
<edit name="family" mode="prepend">
<string>Waree</string>
</edit>
</match>
<alias>
<family>Waree</family>
<default>
<family>sans-serif</family>
</default>
</alias>
</fontconfig>

View File

@ -0,0 +1,27 @@
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!-- Synthesize Windows Browallia with scaled-down Garuda -->
<match target="pattern">
<test qual="any" name="family" compare="contains">
<string>Browallia</string>
</test>
<edit name="family" mode="append" binding="same">
<string>Garuda</string>
</edit>
</match>
<match target="font">
<test name="family" compare="eq">
<string>Garuda</string>
</test>
<test target="pattern" qual="any" name="family" compare="contains">
<string>Browallia</string>
</test>
<edit name="matrix" mode="assign">
<matrix>
<double>0.68</double><double>0</double>
<double>0</double><double>0.68</double>
</matrix>
</edit>
</match>
</fontconfig>

View File

@ -0,0 +1,27 @@
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!-- Synthesize Windows Angsana with scaled-down Kinnari -->
<match target="pattern">
<test qual="any" name="family" compare="contains">
<string>Angsana</string>
</test>
<edit name="family" mode="append" binding="same">
<string>Kinnari</string>
</edit>
</match>
<match target="font">
<test name="family" compare="eq">
<string>Kinnari</string>
</test>
<test target="pattern" qual="any" name="family" compare="contains">
<string>Angsana</string>
</test>
<edit name="matrix" mode="assign">
<matrix>
<double>0.67</double><double>0</double>
<double>0</double><double>0.67</double>
</matrix>
</edit>
</match>
</fontconfig>

View File

@ -0,0 +1,27 @@
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!-- Synthesize TH Sarabun with scaled-down Laksaman -->
<match target="pattern">
<test qual="any" name="family" compare="contains">
<string>TH Sarabun</string>
</test>
<edit name="family" mode="append" binding="same">
<string>Laksaman</string>
</edit>
</match>
<match target="font">
<test name="family" compare="eq">
<string>Laksaman</string>
</test>
<test target="pattern" qual="any" name="family" compare="contains">
<string>TH Sarabun</string>
</test>
<edit name="matrix" mode="assign">
<matrix>
<double>0.66</double><double>0</double>
<double>0</double><double>0.66</double>
</matrix>
</edit>
</match>
</fontconfig>

View File

@ -0,0 +1,27 @@
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<!-- Synthesize Windows Cordia with scaled-down Umpush -->
<match target="pattern">
<test qual="any" name="family" compare="contains">
<string>Cordia</string>
</test>
<edit name="family" mode="append" binding="same">
<string>Umpush</string>
</edit>
</match>
<match target="font">
<test name="family" compare="eq">
<string>Umpush</string>
</test>
<test target="pattern" qual="any" name="family" compare="contains">
<string>Cordia</string>
</test>
<edit name="matrix" mode="assign">
<matrix>
<double>0.65</double><double>0</double>
<double>0</double><double>0.65</double>
</matrix>
</edit>
</match>
</fontconfig>

1
sources Normal file
View File

@ -0,0 +1 @@
SHA512 (fonts-tlwg-0.7.2.tar.xz) = 07a05929cef0b85f041afcdb870bd10547dd3ed853a75823b906a560e5f8eda130653d5fc536ea2993c36a0eb60d2e6b41c17edb93546d9f084e528349029d13

View File

@ -0,0 +1,69 @@
# Ansible role for tests using fontconfig
Put this role in your `tests.yml` playbook. The playbook will first install
package dependencies listed on playbook on your localhost, then it will proceed
to run testing. You can redefine the following variables:
* **artifacts**: An artifacts directory on localhost to store logs
* **remote_artifacts**: The directory on the system under test where the logs
are stored. Note: if this variable is left undefined, it will default to
`/tmp/artifacts`
* **required_packages**: A list of prerequisite packages required by tests.
Please note that for Atomic Host, additional packages will be installed
using the `rpm-ostree` command which is affecting the test subject (it's
similar as rebuilding an rpm package to be tested) so this should be used
with caution on only when necessary.
* **path_prefix**: The directory on the system where fonts are installed.
please use one in coverage sub-parameter if having different path_prefix
per sub-packages.
* **package**: The package name to test. this is used to find out fontconfig
config file. please use one in families sub-parameter if having different
config files per sub-packages.
* **coverage**: A list of languages for language coverage tests.
* **families**: A list of family test cases.
## Language coverage test parameters
Supporting two types of formats. one is a simple list of languages:
coverage:
- en
- fr
Another one is a dictionary that has a language as a key and values as parameters:
coverage:
en:
...
fr:
...
You can redefine the following variables for dictionary format:
* **exclude**: A list of font file names to exclude on this testing. this is
useful to avoid unexpected failures on iterating tests when a package has
multiple font files and has different coverages but you need to prevent
testing for few fonts which has different coverages to them.
Please note that the file name is relative to `path_prefix` parameter. also
good to consider using `include` if non-targeted files is more than targeted.
* **include**: A list of font file names to include on this testing. this is
useful to avoid unexpected failures on iterating tests when a pcakge has
multiple font files and has different coverages but you need to prevent
testing for few fonts which has different coverages to them.
Please note that the file name is relative to `path_prefix` parameter. also
good to consider using `exclude` if targeted files is more than non-targeted.
* **name**: The name to store logs. the test script is trying to make an unique
file names to store logs but not perfectly working in some cases. this is
optional parameter to make it unique by yourself.
* **path_prefix**: A list of directory names where fonts are installed on system.
this is optional parameter and tries to obtain the font paths from installed
packages by `required_packages` if not available.
## Family test parameters
* **lang**: A language to test family name for.
* **alias**: An alias name to test.
* **family**: A family name to test, which is supposed to be assinged to the alias.
* **package**: The package name to test. this is used to find out fontconfig
config file. this is optional. if not specified here, global `package`
parameter will be used.

View File

@ -0,0 +1,7 @@
---
role_pkgs_req:
- fontconfig
- fontconfig-devel
- pkg-config
- rsync

View File

@ -0,0 +1,162 @@
#! /bin/bash -efu
debug() {
if [ -n "$DEBUG" ]; then
echo "$*" >&2
fi
}
msg_usage() {
cat <<_EOF_
Run family test.
Usage:
$PROG <options>
Options:
-h, --help Display this help and exit
-v, --verbose Turn on debug
-l, --lang=LANG Test LANG language coverage (default: en)
-f, --family=FILE Set a family name supposed to be assigned for alias.
-g, --alias=STR Set an alias name. (default: sans-serif)
-a, --artifactsdir=DIR Set environment dir to store artifacts
-k, --package=NAME Set a package name for fonts.
_EOF_
}
PROG="${PROG:-${0##*/}}"
DEBUG="${DEBUG:-}"
OPT_LANG="${OPT_LANG:-en}"
OPT_FAMILY="${OPT_FAMILY:-}"
OPT_ARTIFACTS_DIR="${OPT_ARTIFACTS_DIR:-}"
OPT_ALIAS="${OPT_ALIAS:-sans-serif}"
OPT_PACKAGE="${OPT_PACKAGE:-}"
opt=$(getopt -n "$0" --options "hvl:f:t:a:g:k:" --longoptions "help,verbose,lang:,family:,test:,artifactsdir:,alias:,package:" -- "$@")
eval set -- "$opt"
while [[ $# -gt 0 ]]; do
case "$1" in
-k|--package)
OPT_PACKAGE="$2"
shift 2
;;
-g|--alias)
OPT_ALIAS="$2"
shift 2
;;
-a|--artifactsdir)
OPT_ARTIFACTS_DIR="$2"
shift 2
;;
-f|--family)
OPT_FAMILY="$2"
shift 2
;;
-l|--lang)
OPT_LANG="$2"
shift 2
;;
-v|--verbose)
DEBUG="-v"
shift
;;
-h|--help)
msg_usage
exit 0
;;
--)
shift
;;
*)
msg_usage
exit 1
esac
done
if [ -z "$OPT_ARTIFACTS_DIR" ] || [ -z "$OPT_LANG" ] || [ -z "$OPT_FAMILY" ]; then
echo "Use: $PROG -h for help."
exit 0
fi
debug "Alias: $OPT_ALIAS"
debug "Family: $OPT_FAMILY"
debug "Lang: $OPT_LANG"
debug "Artifacts dir: $OPT_ARTIFACTS_DIR"
debug "Package name: $OPT_PACKAGE"
STR_TEST_DASHED=$(echo "${OPT_PACKAGE}_${OPT_ALIAS}_${OPT_LANG}" | sed -e 's/\//-/g' -e 's/ /-/g')
debug "Log file: $STR_TEST_DASHED.log"
clean_exit() {
rc=$?;
trap - SIGINT SIGTERM SIGABRT EXIT
echo "Run test $OPT_ALIAS: done. Test's exit code: $rc"
for pid in $(ps -o pid --no-headers --ppid $$); do
if [ -n "$(ps -p $pid -o pid=)" ]; then
kill -s HUP $pid
fi
done
local log_file_name="$STR_TEST_DASHED.log"
local log_file_path="$OPT_ARTIFACTS_DIR/$log_file_name"
local status
if [[ $rc -eq 127 ]]; then
status="ERROR"
elif grep -q "RESULT: WARN" "$log_file_path"; then
status="ERROR"
elif grep -q "RESULT: FAIL" "$log_file_path"; then
status="FAIL"
elif grep -q "RESULT: PASS" "$log_file_path"; then
status="PASS"
elif grep -q "FAIL" "$log_file_path"; then
status="FAIL"
elif grep -q "PASS" "$log_file_path"; then
status="PASS"
else
status="ERROR"
fi
echo "$status $OPT_ALIAS" >> "$OPT_ARTIFACTS_DIR/test.log"
mv "$log_file_path" "$OPT_ARTIFACTS_DIR/${status}-${log_file_name}"
local results="$OPT_ARTIFACTS_DIR/results.yml"
local result=$(echo $status | tr '[:upper:]' '[:lower:]')
test -f "$results" || echo 'results:' > "$results"
printf '%s\n' '' \
"- test: $OPT_ALIAS" \
" result: $result" \
" logs:" \
" - ${status}_${log_file_name}" \
>> "$results"
exit 0
}
trap clean_exit SIGINT SIGTERM SIGABRT EXIT
cachedir=`pkg-config --variable cachedir fontconfig`
tmpconfd=`mktemp --tmpdir -d fontsci.XXXXXXXX`
conf=$(for i in `rpm -ql $OPT_PACKAGE | grep conf.d`; do
echo "<include>$i</include>"
done)
cat <<_EOF_> $tmpconfd/fonts.conf
<fontconfig>
<dir>/usr/share/fonts</dir>
$conf
<cachedir>$cachedir</cachedir>
</fontconfig>
_EOF_
debug "Config: `cat $tmpconfd/fonts.conf`"
mkdir -p "$OPT_ARTIFACTS_DIR"
export OUTPUTFILE="$(realpath "$OPT_ARTIFACTS_DIR")/$STR_TEST_DASHED-out.log"
logfile="$OPT_ARTIFACTS_DIR/$STR_TEST_DASHED.log"
logfile="$(realpath "$logfile")"
exec > >(tee -a "$logfile") 2>&1
debug "Check family assignment"
res=`FONTCONFIG_FILE=$tmpconfd/fonts.conf fc-match -f "%{family[0]}" :family=$OPT_ALIAS:lang=$OPT_LANG`
ret=0
if [ "x$res" = "x$OPT_FAMILY" ]; then
echo "RESULT: PASS: $OPT_FAMILY was assigned to $OPT_ALIAS as expected"
else
echo "RESULT: FAIL: $OPT_FAMILY wasn't assigned to $OPT_ALIAS (actual result: $res)"
ret=1
fi
rm -rf $tmpconfd
exit $ret

View File

@ -0,0 +1,252 @@
#! /bin/bash -efu
debug() {
if [ -n "$DEBUG" ]; then
echo "$*" >&2
fi
}
msg_usage() {
cat <<_EOF_
Run language coverage test.
Usage:
$PROG <options>
Options:
-h, --help Display this help and exit
-v, --verbose Turn on debug
-l, --lang=LANG Test LANG language coverage (default: en)
-p, --path=PATH Test fonts on PATH
-k, --package=PACKAGE Specify PACKAGE to obtain some information
-n, --name=NAME Set NAME to store a log file.
-a, --artifactsdir=DIR test environment dir to store artifacts
-e, --exclude=FILE Exclude FILE to check.
-i, --include=FILE Include File to check.
_EOF_
}
PROG="${PROG:-${0##*/}}"
DEBUG="${DEBUG:-}"
OPT_LANG="${OPT_LANG:-en}"
OPT_PATH=()
OPT_PACKAGE=()
OPT_ARTIFACTS_DIR="${OPT_ARTIFACTS_DIR:-}"
OPT_EXCLUDE=()
OPT_INCLUDE=()
OPT_NAME="${OPT_NAME:-}"
opt=$(getopt -n "$0" --options "hvl:p:k:n:a:e:i:" --longoptions "help,verbose,lang:,path:,package:,name:,artifactsdir:,exclude:,include:" -- "$@")
eval set -- "$opt"
while [[ $# -gt 0 ]]; do
case "$1" in
-n|--name)
OPT_NAME="$2"
shift 2
;;
-i|--include)
OPT_INCLUDE+=("$2")
shift 2
;;
-e|--exclude)
OPT_EXCLUDE+=("$2")
shift 2
;;
-a|--artifactsdir)
OPT_ARTIFACTS_DIR="$2"
shift 2
;;
-p|--path)
OPT_PATH+=("$2")
shift 2
;;
-k|--package)
OPT_PACKAGE+=("$2")
shift 2
;;
-l|--lang)
OPT_LANG="$2"
shift 2
;;
-v|--verbose)
DEBUG="-v"
shift
;;
-h|--help)
msg_usage
exit 0
;;
--)
shift
;;
*)
msg_usage
exit 1
esac
done
if [ -z "$OPT_ARTIFACTS_DIR" ] || [ -z "$OPT_LANG" ] || [ ! -v OPT_PATH ] && [ ! -v OPT_PACKAGE ]; then
echo "Use: $PROG -h for help."
exit 0
fi
STR_TEST_DASHED=$(echo "${OPT_NAME:-$OPT_LANG}" | sed -e 's/\//-/g')
clean_exit() {
rc=$?;
trap - SIGINT SIGTERM SIGABRT EXIT
echo "Run test $OPT_LANG: done. Test's exit code: $rc"
for pid in $(ps -o pid --no-headers --ppid $$); do
if [ -n "$(ps -p $pid -o pid=)" ]; then
kill -s HUP $pid
fi
done
local log_file_name="$STR_TEST_DASHED.log"
local log_file_path="$OPT_ARTIFACTS_DIR/$log_file_name"
local status
if [[ $rc -eq 127 ]]; then
status="ERROR"
elif grep -q "RESULT: WARN" "$log_file_path"; then
status="ERROR"
elif grep -q "RESULT: FAIL" "$log_file_path"; then
status="FAIL"
elif grep -q "RESULT: PASS" "$log_file_path"; then
status="PASS"
elif grep -q "WARN" "$log_file_path"; then
status="ERROR"
elif grep -q "FAIL" "$log_file_path"; then
status="FAIL"
elif grep -q "PASS" "$log_file_path"; then
status="PASS"
else
status="ERROR"
fi
echo "$status $OPT_LANG" >> "$OPT_ARTIFACTS_DIR/test.log"
mv "$log_file_path" "$OPT_ARTIFACTS_DIR/${status}-${log_file_name}"
local results="$OPT_ARTIFACTS_DIR/results.yml"
local result=$(echo $status | tr '[:upper:]' '[:lower:]')
test -f "$results" || echo 'results:' > "$results"
printf '%s\n' '' \
"- test: $OPT_LANG" \
" result: $result" \
" logs:" \
" - ${status}_${log_file_name}" \
>> "$results"
exit 0
}
trap clean_exit SIGINT SIGTERM SIGABRT EXIT
mkdir -p "$OPT_ARTIFACTS_DIR"
export OUTPUTFILE="$(realpath "$OPT_ARTIFACTS_DIR")/$STR_TEST_DASHED-out.log"
logfile="$OPT_ARTIFACTS_DIR/$STR_TEST_DASHED.log"
logfile="$(realpath "$logfile")"
exec > >(tee -a "$logfile") 2>&1
for pkg in ${OPT_PACKAGE[@]}; do
if ! rpm -q ${pkg} > /dev/null 2>&1; then
echo "Package isn't installed or maybe a typo: ${pkg}"
exit 127
fi
d=$(for d in $(rpm -ql ${pkg}|grep /usr/share/fonts); do
dirname $d
done | sort | uniq | grep /usr/share/fonts/)
if [[ ! " ${OPT_PATH[@]} " =~ " ${d} " ]]; then
OPT_PATH+=("$d")
fi
done
expand_regex() {
local p ret=()
local regex="$1"
shift
debug "Expanding $regex"
for p; do
set +f
debug "$p: $regex"
(cd $p;
local x=$(find -regextype posix-egrep -regex "./$regex" -print|sed -e 's,^\./,,g')
debug "$x"
ret+=($x)
set -f
echo -n ${ret[@]}
)
done
echo -n ${ret[@]}
}
iv=()
ev=()
x=()
for p in ${OPT_INCLUDE[@]}; do
x=$(expand_regex $p ${OPT_PATH[@]})
if [ "x$x" == "x" ]; then
echo "RESULT: WARN: No matches on \"$p\". maybe typo or something changed?"
continue
fi
iv=("${iv[@]}" "${x[@]}")
done
for p in ${OPT_EXCLUDE[@]}; do
x=$(expand_regex $p ${OPT_PATH[@]})
if [ "x$x" == "x" ]; then
echo "RESULT: WARN: No matches on \"$p\". maybe typo or something changed?"
continue
fi
ev=("${ev[@]}" "${x[@]}")
done
OPT_EXCLUDE=(${ev[@]})
OPT_INCLUDE=(${iv[@]})
debug "Path: ${OPT_PATH[@]}"
debug "Lang: $OPT_LANG"
debug "Artifacts dir: $OPT_ARTIFACTS_DIR"
debug "Exclude: ${#OPT_EXCLUDE[@]}: ${OPT_EXCLUDE[@]}"
debug "Include: ${#OPT_INCLUDE[@]}: ${OPT_INCLUDE[@]}"
contains() {
local e match="$1"
shift
for e; do [[ "$e" == "$match" ]] && return 1; done
return 0
}
debug "Check language coverage"
ret=0
set +f
for p in ${OPT_PATH[@]}; do
for i in `find $p -regex '.*/*\.\(t1\)?\(ttf\)?\(otf\)?\(ttc\)?\(pcf.*\)?\(pfa\)?'`; do
set -f
debug "$i"
if test -f $i; then
n=`basename $i`
set +e
contains "$n" "${OPT_EXCLUDE[@]}"
r=$?
set -e
if [ $r -eq 1 ]; then
debug "ignoring $i"
continue
fi
if [ ${#OPT_INCLUDE[@]} -ne 0 ]; then
set +e
contains "$n" "${OPT_INCLUDE[@]}"
r=$?
set -e
if [ $r -eq 0 ]; then
debug "$i isn't targeted file"
continue
fi
NOT_MATCHED=("${NOT_MATCHED[@]/$n}")
fi
debug " $i"
res=`fc-validate -l $OPT_LANG $i || :`
if echo $res | grep -q Missing; then
echo "RESULT: FAIL: $i doesn't satisfy $OPT_LANG language coverage."
ret=1
else
echo "RESULT: PASS: $i satisfy $OPT_LANG language coverage."
fi
fi
done
done
exit $ret

View File

@ -0,0 +1,4 @@
---
dependencies:
- role: str-common-init

View File

@ -0,0 +1,48 @@
---
- block:
- name: language coverage
environment:
LANG: "en_US.UTF-8"
script: run-lang-coverage-test --lang "{{ item }}" {% if path_prefix is defined %} --path {{ path_prefix }} {% elif coverage.values is not defined or coverage[item].path_prefix is not defined %} {% else %} {{ '--path "' + (coverage[item].path_prefix | join('" --path "')) + '"' }} {% endif %} --artifactsdir "{{ remote_artifacts }}" {% if coverage.values is not defined or coverage[item].name is not defined %} {% else %} {{ "--name " + coverage[item].name }} {% endif %} {% if coverage.values is not defined or coverage[item].exclude is not defined %} {% else %} {{ '--exclude "' + (coverage[item].exclude | join('" --exclude "')) + '"' }} {% endif %} {% if coverage.values is not defined or coverage[item].include is not defined %} {% else %} {{ '--include "' + (coverage[item].include | join('" --include "')) + '"' }} {% endif %} {% if path_prefix is defined or coverage.values is defined and coverage[item].path_prefix is defined %} {% else %} {{ '--package "' + (required_packages|join('" --package "')) + '"' }} {% endif %}
with_items:
- "{{ coverage if coverage.keys is not defined else coverage.keys()|list }}"
- name: generic family assignment
environment:
LANG: "en_US.UTF-8"
when: families is defined
script: run-family-test --lang {{ item.lang }} --family '{{ item.family }}' --alias {{ item.alias }} --artifactsdir {{ remote_artifacts }} --package {{ package if item.package is not defined else item.package }}
with_items:
- "{{ families }}"
- name: Check the results
shell: |
log="{{ remote_artifacts }}/test.log"
if [ ! -f "$log" ]; then
echo ERROR
echo "Test results not found." 1>&2
elif grep ^ERROR "$log" 1>&2; then
echo ERROR
elif grep ^FAIL "$log" 1>&2; then
echo FAIL
elif grep -q ^PASS "$log"; then
echo PASS
else
echo ERROR
echo "No test results found." 1>&2
fi
register: test_results
- name: Set role result
set_fact:
role_result: "{{ test_results.stdout }}"
role_message: "{{ test_results.stderr|d('test execution error.') }}"
role_result_failed: "{{ test_results.stdout != 'PASS' }}"
role_result_msg: "{{ test_results.stderr|d('test execution error.') }}"
- include_role:
name: str-common-final
- name: Validate the result
shell: echo "test_results.stdout"
failed_when: test_results.stdout != 'PASS'

18
tests/tests.yml Normal file
View File

@ -0,0 +1,18 @@
- hosts: localhost
tags:
- classic
roles:
- role: custom-test-fonts
required_packages:
- thai-scalable-norasi-fonts
coverage:
th:
path_prefix:
- /usr/share/fonts/thai-scalable
include:
- Norasi.*ttf
families:
- lang: th
package: thai-scalable-norasi-fonts
alias: sans-serif
family: Norasi

View File

@ -0,0 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Richard Hughes <richard@hughsie.com> -->
<component type="font">
<id>thai-arundina-sans</id>
<metadata_license>CC0-1.0</metadata_license>
<extends>thai-arundina</extends>
</component>

449
thai-scalable-fonts.spec Normal file
View File

@ -0,0 +1,449 @@
%global fontname thai-scalable
%global fontconf1 90-%{fontname}-synthetic
%global fontconf2 65-0-%{fontname}
%global archivename fonts-tlwg
%global common_desc \
%{archivename} provides a collection of free scalable Thai fonts.
Name: %{fontname}-fonts
Version: 0.7.2
Release: 2%{?dist}
Summary: Thai TrueType fonts
License: GPLv2+ and Bitstream Vera
URL: http://linux.thai.net/projects/thaifonts-scalable
Source0: http://linux.thai.net/pub/ThaiLinux/software/%{archivename}/%{archivename}-%{version}.tar.xz
Source1: %{fontconf1}-garuda.conf
Source2: %{fontconf1}-kinnari.conf
Source3: %{fontconf1}-umpush.conf
Source4: %{fontconf1}-laksaman.conf
Source5: %{fontconf2}-norasi.conf
Source6: %{fontconf2}-waree.conf
#Appdata Metainfo
Source11: %{fontname}-garuda.metainfo.xml
Source12: %{fontname}-kinnari.metainfo.xml
Source13: %{fontname}-loma.metainfo.xml
Source14: %{fontname}-norasi.metainfo.xml
Source15: %{fontname}-purisa.metainfo.xml
Source16: %{fontname}-sawasdee.metainfo.xml
Source17: %{fontname}-tlwgmono.metainfo.xml
Source18: %{fontname}-tlwgtypewriter.metainfo.xml
Source19: %{fontname}-tlwgtpist.metainfo.xml
Source20: %{fontname}-tlwgtypo.metainfo.xml
Source21: %{fontname}-umpush.metainfo.xml
Source22: %{fontname}-waree.metainfo.xml
Source23: %{fontname}-laksaman.metainfo.xml
BuildArch: noarch
BuildRequires: fontforge >= 20071110
BuildRequires: fontpackages-devel
%description
%common_desc
Thai scalable fonts included here are:
- Kinnari, Garuda and Norasi from the National Font project
- DB Thai Text from DearBook
- TlwgMono, PseudoMono, Purisa by TLWG
%package common
Summary: Common files of %{name}
Requires: fontpackages-filesystem
%description common
%common_desc
This package consists of files used by other %{name} packages.
%package -n %{fontname}-garuda-fonts
Summary: Thai Garuda fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-garuda-fonts
%common_desc
This package provides the Garuda family of Thai fonts.
%_font_pkg -n garuda -f %{fontconf1}-garuda.conf Garuda*.otf
%{_datadir}/appdata/%{fontname}-garuda.metainfo.xml
%package -n %{fontname}-kinnari-fonts
Summary: Thai Kinnari fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-kinnari-fonts
%common_desc
This package provides the Kinnari family of Thai fonts.
%_font_pkg -n kinnari -f %{fontconf1}-kinnari.conf Kinnari*.otf
%{_datadir}/appdata/%{fontname}-kinnari.metainfo.xml
%package -n %{fontname}-loma-fonts
Summary: Thai Loma fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-loma-fonts
%common_desc
This package provides the Loma family of Thai fonts.
%_font_pkg -n loma Loma*.otf
%{_datadir}/appdata/%{fontname}-loma.metainfo.xml
%package -n %{fontname}-norasi-fonts
Summary: Thai Norasi fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-norasi-fonts
%common_desc
This package provides the Norasi family of Thai fonts.
%_font_pkg -n norasi -f %{fontconf2}-norasi.conf Norasi*.otf
%{_datadir}/appdata/%{fontname}-norasi.metainfo.xml
%package -n %{fontname}-purisa-fonts
Summary: Thai Purisa fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-purisa-fonts
%common_desc
This package provides the Purisa family of Thai fonts.
%_font_pkg -n purisa Purisa*.otf
%{_datadir}/appdata/%{fontname}-purisa.metainfo.xml
%package -n %{fontname}-sawasdee-fonts
Summary: Thai Sawasdee fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-sawasdee-fonts
%common_desc
This package provides the Sawasdee family of Thai fonts.
%_font_pkg -n sawasdee Sawasdee*.otf
%{_datadir}/appdata/%{fontname}-sawasdee.metainfo.xml
%package -n %{fontname}-tlwgmono-fonts
Summary: Thai TlwgMono fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-tlwgmono-fonts
%common_desc
This package provides the TlwgMono family of Thai fonts.
%_font_pkg -n tlwgmono TlwgMono*.otf
%{_datadir}/appdata/%{fontname}-tlwgmono.metainfo.xml
%package -n %{fontname}-tlwgtypewriter-fonts
Summary: Thai TlwgTypewriter fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-tlwgtypewriter-fonts
%common_desc
This package provides the TlwgTypewriter family of Thai fonts.
%_font_pkg -n tlwgtypewriter TlwgTypewriter*.otf
%{_datadir}/appdata/%{fontname}-tlwgtypewriter.metainfo.xml
%package -n %{fontname}-tlwgtypist-fonts
Summary: Thai TlwgTypist fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-tlwgtypist-fonts
%common_desc
This package provides the TlwgTypist family of Thai fonts.
%_font_pkg -n tlwgtypist TlwgTypist*.otf
%{_datadir}/appdata/%{fontname}-tlwgtpist.metainfo.xml
%package -n %{fontname}-tlwgtypo-fonts
Summary: Thai TlwgTypo fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-tlwgtypo-fonts
%common_desc
This package provides the TlwgTypo family of Thai fonts.
%_font_pkg -n tlwgtypo TlwgTypo*.otf
%{_datadir}/appdata/%{fontname}-tlwgtypo.metainfo.xml
%package -n %{fontname}-umpush-fonts
Summary: Thai Umpush fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-umpush-fonts
%common_desc
This package provides the Umpush family of Thai fonts.
%_font_pkg -n umpush -f %{fontconf1}-umpush.conf Umpush*.otf
%{_datadir}/appdata/%{fontname}-umpush.metainfo.xml
%package -n %{fontname}-laksaman-fonts
Summary: Thai Laksaman fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-laksaman-fonts
%common_desc
This package provides the Laksaman family of Thai fonts.
%_font_pkg -n laksaman -f %{fontconf1}-laksaman.conf Laksaman*.otf
%{_datadir}/appdata/%{fontname}-laksaman.metainfo.xml
%package -n %{fontname}-waree-fonts
Summary: Thai Waree fonts
Requires: %{name}-common = %{version}-%{release}
%description -n %{fontname}-waree-fonts
%common_desc
This package provides the Waree family of Thai fonts.
%_font_pkg -n waree -f %{fontconf2}-waree.conf Waree*.otf
%{_datadir}/appdata/%{fontname}-waree.metainfo.xml
%prep
%setup -q -n %{archivename}-%{version}
%build
%configure --with-otfdir=%{_fontdir}
make
%install
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
%{buildroot}%{_fontconfig_confdir}
make install DESTDIR=%{buildroot} INSTALL="install -p"
# remove upstream font config
# fontconfig's 65-nonlatin.conf covers 65-ttf-thai-tlwg.conf
rm %{buildroot}%{_datadir}/fontconfig/conf.avail/64-15-laksaman.conf
rm %{buildroot}%{_datadir}/fontconfig/conf.avail/64-*-tlwg*.conf
rm %{buildroot}%{_datadir}/fontconfig/conf.avail/89-tlwg*-synthetic.conf
# split up 90-ttf-thai-tlwg-synthetic.conf
install -m 0644 -p %{SOURCE1} \
%{buildroot}%{_fontconfig_templatedir}/%{fontconf1}-garuda.conf
install -m 0644 -p %{SOURCE2} \
%{buildroot}%{_fontconfig_templatedir}/%{fontconf1}-kinnari.conf
install -m 0644 -p %{SOURCE3} \
%{buildroot}%{_fontconfig_templatedir}/%{fontconf1}-umpush.conf
install -m 0644 -p %{SOURCE4} \
%{buildroot}%{_fontconfig_templatedir}/%{fontconf1}-laksaman.conf
# install 65-0-thai-scalable-*.conf
install -m 0644 -p %{SOURCE5} \
%{buildroot}%{_fontconfig_templatedir}/%{fontconf2}-norasi.conf
install -m 0644 -p %{SOURCE6} \
%{buildroot}%{_fontconfig_templatedir}/%{fontconf2}-waree.conf
for fconf in %{fontconf1}-garuda.conf \
%{fontconf1}-kinnari.conf \
%{fontconf1}-umpush.conf \
%{fontconf1}-laksaman.conf \
%{fontconf2}-norasi.conf \
%{fontconf2}-waree.conf; do
ln -s %{_fontconfig_templatedir}/$fconf \
%{buildroot}%{_fontconfig_confdir}/$fconf
done
# Add AppStream metadata
install -Dm 0644 -p %{SOURCE11} \
%{buildroot}%{_datadir}/appdata/%{fontname}-garuda.metainfo.xml
install -Dm 0644 -p %{SOURCE12} \
%{buildroot}%{_datadir}/appdata/%{fontname}-kinnari.metainfo.xml
install -Dm 0644 -p %{SOURCE13} \
%{buildroot}%{_datadir}/appdata/%{fontname}-loma.metainfo.xml
install -Dm 0644 -p %{SOURCE14} \
%{buildroot}%{_datadir}/appdata/%{fontname}-norasi.metainfo.xml
install -Dm 0644 -p %{SOURCE15} \
%{buildroot}%{_datadir}/appdata/%{fontname}-purisa.metainfo.xml
install -Dm 0644 -p %{SOURCE16} \
%{buildroot}%{_datadir}/appdata/%{fontname}-sawasdee.metainfo.xml
install -Dm 0644 -p %{SOURCE17} \
%{buildroot}%{_datadir}/appdata/%{fontname}-tlwgmono.metainfo.xml
install -Dm 0644 -p %{SOURCE18} \
%{buildroot}%{_datadir}/appdata/%{fontname}-tlwgtypewriter.metainfo.xml
install -Dm 0644 -p %{SOURCE19} \
%{buildroot}%{_datadir}/appdata/%{fontname}-tlwgtpist.metainfo.xml
install -Dm 0644 -p %{SOURCE20} \
%{buildroot}%{_datadir}/appdata/%{fontname}-tlwgtypo.metainfo.xml
install -Dm 0644 -p %{SOURCE21} \
%{buildroot}%{_datadir}/appdata/%{fontname}-umpush.metainfo.xml
install -Dm 0644 -p %{SOURCE22} \
%{buildroot}%{_datadir}/appdata/%{fontname}-waree.metainfo.xml
install -Dm 0644 -p %{SOURCE23} \
%{buildroot}%{_datadir}/appdata/%{fontname}-laksaman.metainfo.xml
%files common
%doc AUTHORS README COPYING NEWS
%changelog
* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
* Thu May 7 2020 Peng Wu <pwu@redhat.com> - 0.7.2-1
- Update to 0.7.2
- Switch to use OpenType Font Format
* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
* Wed Jul 17 2019 Peng Wu <pwu@redhat.com> - 0.6.5-5
- Use Waree for sans-serif and Norasi for serif
* Mon Jul 15 2019 Peng Wu <pwu@redhat.com> - 0.6.5-4
- Use Waree as default font for Thai language
- Add 65-0-thai-scalable-waree.conf
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
* Thu Apr 26 2018 Peng Wu <pwu@redhat.com> - 0.6.5-1
- Update to 0.6.5
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
* Mon Oct 9 2017 Peng Wu <pwu@redhat.com> - 0.6.4-1
- Update to 0.6.4
- add laksaman subpackage
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Sat Nov 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.5.0-9
- Add metainfo file to show this font in gnome-software
- Remove group tag
- Replace %%define with %%global
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
* Wed Nov 21 2012 Daiki Ueno <dueno@redhat.com> - 0.5.0-5
- change the license field from "GPLv2+" to "GPLv2+ and Bitstream Vera"
* Tue Nov 20 2012 Daiki Ueno <dueno@redhat.com> - 0.5.0-4
- disable X fonts.dir generation
- remove obsolete -compat subpackage
- remove %%defattr from %%files
- add missing "make" in %%build
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Thu Jul 5 2012 Daiki Ueno <dueno@redhat.com> - 0.5.0-2
- fix <test> usage in fontconfig files (Closes: #837538)
- refresh fontconfig files with the latest upstream version
* Wed Feb 15 2012 Daiki Ueno <dueno@redhat.com> - 0.5.0-1
- update to 0.5.0
- change %%archivename to fonts-tlwg per upstream
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Mon Nov 7 2011 Daiki Ueno <dueno@redhat.com> - 0.4.17-1
- update to 0.4.17
* Tue Oct 25 2011 Daiki Ueno <dueno@redhat.com> - 0.4.16-1
- update to 0.4.16
* Tue Mar 22 2011 Daiki Ueno <dueno@redhat.com> - 0.4.15-2
- fix summary of -common subpackage (Bug#688969)
* Thu Mar 17 2011 Daiki Ueno <dueno@redhat.com> - 0.4.15-1
- update to 0.4.15
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Tue Nov 9 2010 Daiki Ueno <dueno@redhat.com> - 0.4.14-1
- update to 0.4.14
- drop buildroot, %%clean and cleaning of buildroot in %%install
- use only macro style %%buildroot
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Mon Jun 22 2009 Jens Petersen <petersen@redhat.com> - 0.4.12-1
- update to 0.4.12 (reported by Manatsawin Hanmongkolchai in #507172)
* Sun Mar 15 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 0.4.11-3
Make sure F11 font packages have been built with F11 fontforge
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Mon Feb 2 2009 Jens Petersen <petersen@redhat.com> - 0.4.11-1
- update to 0.4.11
- repackage and subpackage for new fontpackages-devel:
- split 90-ttf-thai-tlwg-synthetic.conf per subpackage
- 65-ttf-thai-tlwg.conf is covered by fontconfig 65-nonlatin.conf
- moves docs to common subpackage
- add compat subpackage for upgrades and legacy fonts.*
* Fri Feb 8 2008 Jens Petersen <petersen@redhat.com> - 0.4.9-3
- couple more cleanups (Parag Nemade,#431829):
- use rm instead of /bin/rm
- use install -p
* Fri Feb 8 2008 Jens Petersen <petersen@redhat.com> - 0.4.9-2
- add buildrequires for ttmkfdir and xorg-x11-font-utils (Parag Nemade,#431829)
* Wed Feb 6 2008 Jens Petersen <petersen@redhat.com> - 0.4.9-1
- update to 0.4.9
- spec file cleanup
* Mon Jan 29 2007 Behdad Esfahbod <besfahbo@redhat.com> 0.4.4-1
- Initial package based on package by Theppitak Karoonboonyanan
and Kamthorn Krairaksa for the OLPC.

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-garuda</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-kinnari</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-laksaman</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-loma</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-norasi</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-purisa</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-sawasdee</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-tlwgmono</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-tlwgtypist</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-tlwgtypewriter</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-tlwgtypo</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-umpush</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable-waree</id>
<metadata_license>CC-BY-3.0</metadata_license>
<extends>thai-scalable</extends>
</component>

View File

@ -0,0 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Parag Nemade <pnemade AT redhat DOT com> -->
<component type="font">
<id>thai-scalable</id>
<metadata_license>CC-BY-3.0</metadata_license>
<name>TLWG</name>
<summary>A set of Thai fonts from the Thai Linux Working Group</summary>
<description>
<p>
Provides a collection of free scalable Thai fonts.
</p>
</description>
<updatecontact>pnemade_at_redhat_dot_com</updatecontact>
<url type="homepage">http://linux.thai.net/projects/thaifonts-scalable</url>
</component>